CREATE TABLE `mlweb` (
  `id` int(11) NOT NULL,
  `expname` varchar(50) DEFAULT NULL,
  `subject` varchar(50) DEFAULT NULL,
  `ip` varchar(20) DEFAULT NULL,
  `condnum` int(11) DEFAULT NULL,
  `choice` varchar(50) DEFAULT NULL,
  `submitted` datetime DEFAULT NULL,
  `procdata` text,
  `addvar` text,
  `adddata` text
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


ALTER TABLE `mlweb`
  ADD PRIMARY KEY (`id`);

-- Table structure of `Talternatives`

CREATE TABLE `Talternatives` (
  `id` int(10) UNSIGNED NOT NULL,
  `cGrpAlt` varchar(50) NOT NULL,
  `cAlt` varchar(255) NOT NULL,
  `cAltAbbre` varchar(30) NOT NULL,
  `cAltExpl` varchar(1024) NOT NULL DEFAULT '-EXPLANATION-'
) ENGINE=InnoDB DEFAULT CHARSET=latin5;

-- Data in `Talternatives`

INSERT INTO `Talternatives` (`id`, `cGrpAlt`, `cAlt`, `cAltAbbre`, `cAltExpl`) VALUES
(3, 'IT', 'Database Specialist', 'VTAB', '*Maintaining the database..'),
(5, 'IT', 'Software Devoloper', 'YAZ_G', '*Writing codes, testing programs..'),
(6, 'Insurance', 'Assistant Actuarial Specialist', 'AKT_U', '*Modelling prices,'),
(7, 'Insurance', 'Turkish Natural Catastrophe Insurance Pool Expert\r\n', 'DASK', 'Communicate with insurance companies..'),
(11, 'Banking', 'Small Business Relationship Manager', 'KUR_MUS', '*Serving as a consultant for small businesses..'),
(12, 'Banking', 'Personal Banking Relationship Manager', 'SUBE_B', '*Selling products of the bank..'),
(16, 'Market Research', 'Data Analysis Specialist', 'VER_ANA', '*Analysis data.. '),
(17, 'Market Research', 'Junior Client Services Executive', 'MUS_ILIS', '*Finding new clients..'),
(18, 'Industry', 'Sales Engineer', 'SAT_MUH', '*Control stocks..'),
(19, 'Industry', 'Budget Planning Specialist', 'MALZ_P', '*Budget planning..'),
(22, 'Education', 'Research Assistant', 'ARSGOR', '*Teaching..'),
(23, 'IT', 'Systems Support and Network Specialist', 'SIS_D', '*Maintaining the web system..');

-- indexes for `Talternatives`

ALTER TABLE `Talternatives`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`);

-- AUTO_INCREMENT value for `Talternatives`

ALTER TABLE `Talternatives`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=24;


-- Table structure of `Tattributes`

CREATE TABLE `Tattributes` (
  `id` int(11) NOT NULL,
  `cAtt` varchar(255) CHARACTER SET latin5 NOT NULL,
  `cAttAbbre` varchar(100) CHARACTER SET latin5 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Data for `Tattributes`

INSERT INTO `Tattributes` (`id`, `cAtt`, `cAttAbbre`) VALUES
(81, 'Balance between professional and personal lives', 'BALANCE'),
(82, 'Finding job easily', 'FIND_JOB'),
(83, 'Job difficulty', 'DIFF'),
(84, 'Job satisfaction', 'SATISF'),
(85, 'Job stress', 'STRES'),
(86, 'Responsibility in my job', 'RESPON'),
(87, 'Opportunity to use various skills', 'OPPORT'),
(88, 'Clear roles and responsibilities', 'CLEAR'),
(89, 'Awards for superior performance', 'PERFORM'),
(90, 'Benefits (health insurance, pension fund, option of', 'BENEFIT'),
(91, 'Feedback on my performance', 'FEEDBACK'),
(92, 'Good interpersonal relations', 'RELATION'),
(93, 'Close supervision/guidance', 'DENETIM'),
(94, 'Peaceful work environment', 'PEACE'),
(95, 'Interesting work', 'INTERES'),
(96, 'Job security (long-term employment in the company)', 'SECURITY'),
(97, 'Pay', 'PAY'),
(98, 'Opportunity for personal growth and development', 'PERS_GROW'),
(99, 'Opportunity for career advancement', 'CAREER'),
(100, 'Existence of goals', 'GOALS');

-- indexes for `Tattributes`

ALTER TABLE `Tattributes`
  ADD PRIMARY KEY (`id`);

-- AUTO_INCREMENT value for `Tattributes`

ALTER TABLE `Tattributes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=101;

-- Table structure of`Tvalues`

CREATE TABLE `Tvalues` (
  `id` int(10) UNSIGNED NOT NULL,
  `AltId` int(11) NOT NULL,
  `AttId` int(11) NOT NULL,
  `value` varchar(100) CHARACTER SET latin5 NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- Sample data for `Tvalues`

INSERT INTO `Tvalues` (`id`, `AltId`, `AttId`, `value`) VALUES
(1, 1, 81, 'Good'),
(2, 1, 82, 'Good'),
(3, 1, 83, 'Poor'),
(4, 1, 84, 'Average'),
(5, 1, 85, 'Average'),
(6, 1, 86, 'Very good'),
(7, 1, 87, 'Average'),
(8, 1, 88, 'Very good'),
(9, 1, 89, 'Poor'),
(10, 1, 90, 'Poor'),
(11, 1, 91, 'Poor'),
(12, 1, 92, 'Very good'),
(13, 1, 93, 'Average'),
(14, 1, 94, 'Good'),
(15, 1, 95, 'Average'),
(16, 1, 96, 'Average'),
(17, 1, 97, 'Poor'),
(18, 1, 98, 'Poor'),
(19, 1, 99, 'Good'),
(20, 1, 100, 'Good'),
(26, 2, 86, 'Poor'),
(27, 2, 87, 'Good'),
(28, 2, 88, 'Very good'),
(29, 2, 89, 'Best'),
(30, 2, 90, 'Good'),
(31, 2, 91, 'Best'),
(32, 2, 92, 'Very good'),
(33, 2, 93, 'Good'),
(34, 2, 94, 'Average'),
(35, 2, 95, 'Good'),
(36, 2, 96, 'Good'),
(37, 2, 97, 'Good'),
(38, 2, 98, 'Average'),
(39, 2, 99, 'Average'),
(40, 2, 100, 'Best'),
(41, 2, 81, 'Best'),
(42, 2, 82, 'Very good'),
(43, 2, 83, 'Average'),
(44, 2, 84, 'Best'),
(45, 2, 85, 'Very good'),
(46, 3, 81, 'Good'),
(47, 3, 82, 'Good'),
(48, 3, 83, 'Very good'),
(49, 3, 84, 'Poor'),
(50, 3, 85, 'Very good'),
(51, 3, 86, 'Poor'),
(52, 3, 87, 'Poor'),
(53, 3, 88, 'Average'),
(54, 3, 89, 'Very poor'),
(55, 3, 90, 'Best'),
(56, 3, 91, 'Poor'),
(57, 3, 92, 'Good'),
(58, 3, 93, 'Average'),
(59, 3, 94, 'Very good'),
(60, 3, 95, 'Worst'),
(61, 3, 96, 'Very good'),
(62, 3, 97, 'Average'),
(63, 3, 98, 'Average'),
(64, 3, 99, 'Good'),
(65, 3, 100, 'Best'),
(66, 4, 81, 'Poor'),
(67, 4, 82, 'Best'),
(68, 4, 83, 'Very good'),
(69, 4, 84, 'Good'),
(70, 4, 85, 'Good'),
(71, 4, 86, 'Very good'),
(72, 4, 87, 'Good'),
(73, 4, 88, 'Good'),
(74, 4, 89, 'Average'),
(75, 4, 90, 'Average'),
(76, 4, 91, 'Very good'),
(77, 4, 92, 'Poor'),
(78, 4, 93, 'Good'),
(79, 4, 94, 'Average'),
(80, 4, 95, 'Very good'),
(81, 4, 96, 'Very good'),
(82, 4, 97, 'Very good'),
(83, 4, 98, 'Best'),
(84, 4, 99, 'Best'),
(85, 4, 100, 'Very good'),
(86, 5, 81, 'Average'),
(87, 5, 82, 'Best'),
(88, 5, 83, 'Good'),
(89, 5, 84, 'Average'),
(90, 5, 85, 'Very poor'),
(91, 5, 86, 'Average'),
(92, 5, 87, 'Best'),
(93, 5, 88, 'Best'),
(94, 5, 89, 'Average'),
(95, 5, 90, 'Poor'),
(96, 5, 91, 'Good'),
(97, 5, 92, 'Very good'),
(98, 5, 93, 'Poor'),
(99, 5, 94, 'Best'),
(100, 5, 95, 'Poor'),
(101, 5, 96, 'Very good'),
(102, 5, 97, 'Good'),
(103, 5, 98, 'Very good'),
(104, 5, 99, 'Very good'),
(105, 5, 100, 'Good'),
(106, 6, 81, 'Good'),
(107, 6, 82, 'Very good'),
(108, 6, 83, 'Very good'),
(109, 6, 84, 'Best'),
(110, 6, 85, 'Good'),
(111, 6, 86, 'Good'),
(112, 6, 87, 'Good'),
(113, 6, 88, 'Poor'),
(114, 6, 89, 'Average'),
(115, 6, 90, 'Worst'),
(116, 6, 91, 'Average'),
(117, 6, 92, 'Poor'),
(118, 6, 93, 'Very poor'),
(119, 6, 94, 'Average'),
(120, 6, 95, 'Very good'),
(121, 6, 96, 'Poor'),
(122, 6, 97, 'Average'),
(123, 6, 98, 'Best'),
(124, 6, 99, 'Very good'),
(125, 6, 100, 'Poor'),
(126, 7, 81, 'Very poor'),
(127, 7, 82, 'Poor'),
(128, 7, 83, 'Average'),
(129, 7, 84, 'Worst'),
(130, 7, 85, 'Average'),
(131, 7, 86, 'Average'),
(132, 7, 87, 'Very poor'),
(133, 7, 88, 'Good'),
(134, 7, 89, 'Poor'),
(135, 7, 90, 'Average'),
(136, 7, 91, 'Good'),
(137, 7, 92, 'Best'),
(138, 7, 93, 'Very good'),
(139, 7, 94, 'Good'),
(140, 7, 95, 'Very poor'),
(141, 7, 96, 'Good'),
(142, 7, 97, 'Poor'),
(143, 7, 98, 'Very poor'),
(144, 7, 99, 'Poor'),
(145, 7, 100, 'Best'),
(146, 8, 81, 'Average'),
(147, 8, 82, 'Worst'),
(148, 8, 83, 'Good'),
(149, 8, 84, 'Poor'),
(150, 8, 85, 'Poor'),
(151, 8, 86, 'Good'),
(152, 8, 87, 'Poor'),
(153, 8, 88, 'Very poor'),
(154, 8, 89, 'Poor'),
(155, 8, 90, 'Poor'),
(156, 8, 91, 'Average'),
(157, 8, 92, 'Average'),
(158, 8, 93, 'Poor'),
(159, 8, 94, 'Good'),
(160, 8, 95, 'Poor'),
(161, 8, 96, 'Average'),
(162, 8, 97, 'Average'),
(163, 8, 98, 'Average'),
(164, 8, 99, 'Poor'),
(165, 8, 100, 'Good'),
(166, 9, 81, 'Average'),
(167, 9, 82, 'Good'),
(168, 9, 83, 'Good'),
(169, 9, 84, 'Average'),
(170, 9, 85, 'Very good'),
(171, 9, 86, 'Very good'),
(172, 9, 87, 'Average'),
(173, 9, 88, 'Good'),
(174, 9, 89, 'Average'),
(175, 9, 90, 'Poor'),
(176, 9, 91, 'Poor'),
(177, 9, 92, 'Very poor'),
(178, 9, 93, 'Good'),
(179, 9, 94, 'Good'),
(180, 9, 95, 'Worst'),
(181, 9, 96, 'Poor'),
(182, 9, 97, 'Average'),
(183, 9, 98, 'Average'),
(184, 9, 99, 'Average'),
(185, 9, 100, 'Very poor'),
(186, 10, 81, 'Poor'),
(187, 10, 82, 'Good'),
(188, 10, 83, 'Good'),
(189, 10, 84, 'Very good'),
(190, 10, 85, 'Good'),
(191, 10, 86, 'Best'),
(192, 10, 87, 'Good'),
(193, 10, 88, 'Very good'),
(194, 10, 89, 'Very good'),
(195, 10, 90, 'Average'),
(196, 10, 91, 'Best'),
(197, 10, 92, 'Very good'),
(198, 10, 93, 'Average'),
(199, 10, 94, 'Good'),
(200, 10, 95, 'Very good'),
(201, 10, 96, 'Good'),
(202, 10, 97, 'Best'),
(203, 10, 98, 'Good'),
(204, 10, 99, 'Best'),
(205, 10, 100, 'Very good'),
(206, 11, 81, 'Average'),
(207, 11, 82, 'Average'),
(208, 11, 83, 'Poor'),
(209, 11, 84, 'Very good'),
(210, 11, 85, 'Best'),
(211, 11, 86, 'Best'),
(212, 11, 87, 'Good'),
(213, 11, 88, 'Average'),
(214, 11, 89, 'Best'),
(215, 11, 90, 'Very good'),
(216, 11, 91, 'Good'),
(217, 11, 92, 'Average'),
(218, 11, 93, 'Good'),
(219, 11, 94, 'Poor'),
(220, 11, 95, 'Very poor'),
(221, 11, 96, 'Good'),
(222, 11, 97, 'Best'),
(223, 11, 98, 'Poor'),
(224, 11, 99, 'Poor'),
(225, 11, 100, 'Very good'),
(226, 12, 81, 'Very good'),
(227, 12, 82, 'Average'),
(228, 12, 83, 'Worst'),
(229, 12, 84, 'Good'),
(230, 12, 85, 'Very poor'),
(231, 12, 86, 'Poor'),
(232, 12, 87, 'Worst'),
(233, 12, 88, 'Average'),
(234, 12, 89, 'Very good'),
(235, 12, 90, 'Good'),
(236, 12, 91, 'Very good'),
(237, 12, 92, 'Average'),
(238, 12, 93, 'Good'),
(239, 12, 94, 'Very good'),
(240, 12, 95, 'Best'),
(241, 12, 96, 'Poor'),
(242, 12, 97, 'Average'),
(243, 12, 98, 'Poor'),
(244, 12, 99, 'Best'),
(245, 12, 100, 'Good'),
(246, 13, 81, 'Average'),
(247, 13, 82, 'Best'),
(248, 13, 83, 'Very good'),
(249, 13, 84, 'Best'),
(250, 13, 85, 'Good'),
(251, 13, 86, 'Very good'),
(252, 13, 87, 'Best'),
(253, 13, 88, 'Very good'),
(254, 13, 89, 'Good'),
(255, 13, 90, 'Average'),
(256, 13, 91, 'Average'),
(257, 13, 92, 'Poor'),
(258, 13, 93, 'Poor'),
(259, 13, 94, 'Good'),
(260, 13, 95, 'Very good'),
(261, 13, 96, 'Average'),
(262, 13, 97, 'Good'),
(263, 13, 98, 'Very good'),
(264, 13, 99, 'Very good'),
(265, 13, 100, 'Good'),
(266, 14, 81, 'Worst'),
(267, 14, 82, 'Average'),
(268, 14, 83, 'Best'),
(269, 14, 84, 'Good'),
(270, 14, 85, 'Best'),
(271, 14, 86, 'Good'),
(272, 14, 87, 'Good'),
(273, 14, 88, 'Best'),
(274, 14, 89, 'Average'),
(275, 14, 90, 'Poor'),
(276, 14, 91, 'Poor'),
(277, 14, 92, 'Average'),
(278, 14, 93, 'Poor'),
(279, 14, 94, 'Very poor'),
(280, 14, 95, 'Average'),
(281, 14, 96, 'Very good'),
(282, 14, 97, 'Average'),
(283, 14, 98, 'Average'),
(284, 14, 99, 'Average'),
(285, 14, 100, 'Average'),
(286, 16, 81, 'Poor'),
(287, 16, 82, 'Very good'),
(288, 16, 83, 'Good'),
(289, 16, 84, 'Very poor'),
(290, 16, 85, 'Good'),
(291, 16, 86, 'Average'),
(292, 16, 87, 'Average'),
(293, 16, 88, 'Poor'),
(294, 16, 89, 'Very good'),
(295, 16, 90, 'Very good'),
(296, 16, 91, 'Best'),
(297, 16, 92, 'Very good'),
(298, 16, 93, 'Average'),
(299, 16, 94, 'Poor'),
(300, 16, 95, 'Average'),
(301, 16, 96, 'Best'),
(302, 16, 97, 'Good'),
(303, 16, 98, 'Good'),
(304, 16, 99, 'Best'),
(305, 16, 100, 'Poor'),
(306, 17, 81, 'Very good'),
(307, 17, 82, 'Best'),
(308, 17, 83, 'Poor'),
(309, 17, 84, 'Best'),
(310, 17, 85, 'Average'),
(311, 17, 86, 'Very good'),
(312, 17, 87, 'Best'),
(313, 17, 88, 'Very good'),
(314, 17, 89, 'Worst'),
(315, 17, 90, 'Good'),
(316, 17, 91, 'Average'),
(317, 17, 92, 'Good'),
(318, 17, 93, 'Poor'),
(319, 17, 94, 'Good'),
(320, 17, 95, 'Good'),
(321, 17, 96, 'Best'),
(322, 17, 97, 'Very good'),
(323, 17, 98, 'Average'),
(324, 17, 99, 'Average'),
(325, 17, 100, 'Very poor'),
(326, 18, 81, 'Best'),
(327, 18, 82, 'Very poor'),
(328, 18, 83, 'Very poor'),
(329, 18, 84, 'Poor'),
(330, 18, 85, 'Poor'),
(331, 18, 86, 'Very poor'),
(332, 18, 87, 'Very poor'),
(333, 18, 88, 'Good'),
(334, 18, 89, 'Poor'),
(335, 18, 90, 'Very good'),
(336, 18, 91, 'Best'),
(337, 18, 92, 'Very good'),
(338, 18, 93, 'Very good'),
(339, 18, 94, 'Best'),
(340, 18, 95, 'Average'),
(341, 18, 96, 'Average'),
(342, 18, 97, 'Poor'),
(343, 18, 98, 'Worst'),
(344, 18, 99, 'Worst'),
(345, 18, 100, 'Best'),
(346, 19, 81, 'Good'),
(347, 19, 82, 'Very poor'),
(348, 19, 83, 'Average'),
(349, 19, 84, 'Very poor'),
(350, 19, 85, 'Good'),
(351, 19, 86, 'Good'),
(352, 19, 87, 'Average'),
(353, 19, 88, 'Very good'),
(354, 19, 89, 'Average'),
(355, 19, 90, 'Average'),
(356, 19, 91, 'Worst'),
(357, 19, 92, 'Very poor'),
(358, 19, 93, 'Very good'),
(359, 19, 94, 'Very good'),
(360, 19, 95, 'Poor'),
(361, 19, 96, 'Very good'),
(362, 19, 97, 'Very poor'),
(363, 19, 98, 'Best'),
(364, 19, 99, 'Poor'),
(365, 19, 100, 'Good'),
(366, 20, 81, 'Good'),
(367, 20, 82, 'Average'),
(368, 20, 83, 'Poor'),
(369, 20, 84, 'Poor'),
(370, 20, 85, 'Average'),
(371, 20, 86, 'Average'),
(372, 20, 87, 'Worst'),
(373, 20, 88, 'Good'),
(374, 20, 89, 'Average'),
(375, 20, 90, 'Good'),
(376, 20, 91, 'Average'),
(377, 20, 92, 'Very good'),
(378, 20, 93, 'Average'),
(379, 20, 94, 'Very good'),
(380, 20, 95, 'Poor'),
(381, 20, 96, 'Very good'),
(382, 20, 97, 'Good'),
(383, 20, 98, 'Average'),
(384, 20, 99, 'Average'),
(385, 20, 100, 'Good'),
(386, 21, 81, 'Good'),
(387, 21, 82, 'Good'),
(388, 21, 83, 'Average'),
(389, 21, 84, 'Average'),
(390, 21, 85, 'Very good'),
(391, 21, 86, 'Very good'),
(392, 21, 87, 'Average'),
(393, 21, 88, 'Good'),
(394, 21, 89, 'Worst'),
(395, 21, 90, 'Average'),
(396, 21, 91, 'Poor'),
(397, 21, 92, 'Good'),
(398, 21, 93, 'Very poor'),
(399, 21, 94, 'Good'),
(400, 21, 95, 'Poor'),
(401, 21, 96, 'Good'),
(402, 21, 97, 'Average'),
(403, 21, 98, 'Poor'),
(404, 21, 99, 'Average'),
(405, 21, 100, 'Good'),
(406, 22, 81, 'Best'),
(407, 22, 82, 'Average'),
(408, 22, 83, 'Good'),
(409, 22, 84, 'Good'),
(410, 22, 85, 'Very poor'),
(411, 22, 86, 'Good'),
(412, 22, 87, 'Very good'),
(413, 22, 88, 'Good'),
(414, 22, 89, 'Very good'),
(415, 22, 90, 'Very poor'),
(416, 22, 91, 'Very poor'),
(417, 22, 92, 'Good'),
(418, 22, 93, 'Best'),
(419, 22, 94, 'Best'),
(420, 22, 95, 'Good'),
(421, 22, 96, 'Poor'),
(422, 22, 97, 'Poor'),
(423, 22, 98, 'Average'),
(424, 22, 99, 'Good'),
(425, 22, 100, 'Average'),
(426, 23, 81, 'Poor'),
(427, 23, 82, 'Very good'),
(428, 23, 83, 'Best'),
(429, 23, 84, 'Average'),
(430, 23, 85, 'Very good'),
(431, 23, 86, 'Very good'),
(432, 23, 87, 'Average'),
(433, 23, 88, 'Best'),
(434, 23, 89, 'Poor'),
(435, 23, 90, 'Very poor'),
(436, 23, 91, 'Poor'),
(437, 23, 92, 'Best'),
(438, 23, 93, 'Good'),
(439, 23, 94, 'Good'),
(440, 23, 95, 'Average'),
(441, 23, 96, 'Average'),
(442, 23, 97, 'Best'),
(443, 23, 98, 'Good'),
(444, 23, 99, 'Good'),
(445, 23, 100, 'Very good'),
(446, 24, 81, 'Very good'),
(447, 24, 82, 'Average'),
(448, 24, 83, 'Poor'),
(449, 24, 84, 'Poor'),
(450, 24, 85, 'Very poor'),
(451, 24, 86, 'Poor'),
(452, 24, 87, 'Worst'),
(453, 24, 88, 'Average'),
(454, 24, 89, 'Very good'),
(455, 24, 90, 'Good'),
(456, 24, 91, 'Very good'),
(457, 24, 92, 'Good'),
(458, 24, 93, 'Good'),
(459, 24, 94, 'Very good'),
(460, 24, 95, 'Poor'),
(461, 24, 96, 'Poor'),
(462, 24, 97, 'Poor'),
(463, 24, 98, 'Poor'),
(464, 24, 99, 'Very poor'),
(465, 24, 100, 'Very good');

-- indexes for `Tvalues`

ALTER TABLE `Tvalues`
  ADD PRIMARY KEY (`id`);

-- AUTO_INCREMENT value of `Tvalues`

ALTER TABLE `Tvalues`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=466;
